Get counts
Gets aggregate counts for the visits matching the given filters. The counts respect all provided filters but are independent of pagination, so this can be fetched once when filters change instead of on every page of `get_visits`. **IMPORTANT:** Like `get_visits`, this endpoint requires a date filter on `appointment.startTimestamp` to ensure acceptable query performance.
Authorization
BearerAuth Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.
In: header
Query Parameters
Required: Must include a date filter on appointment.startTimestamp (using gt, lt, or eq operators). Example: appointment.startTimestamp|gt|2024-01-01
Response Body
application/json
application/json
curl -X GET "https://example.com/appointments/v1/visits/counts"{ "not_ready_reason_counts": { "property1": 0, "property2": 0 }}Get visits GET
Gets all Visits within a given time range. The return list is ordered by start_time ascending. **IMPORTANT:** This endpoint requires a date filter on `appointment.startTimestamp` to ensure acceptable query performance. Without date filtering, the query can take 50+ seconds on large datasets due to grouping and aggregation operations. Example filters: - `appointment.startTimestamp|gt|2024-01-01` - appointments after January 1, 2024 - `appointment.startTimestamp|eq|2024-12-08` - appointments on December 8, 2024 - `appointment.startTimestamp|lt|2024-12-31` - appointments before December 31, 2024 You can combine the date filter with other filters using commas: - `appointment.startTimestamp|gt|2024-01-01,appointment.status|eq|PENDING`
Get appointment GET
Gets an appointment.